image: maven:latest

stages:
  - build
  - test

build:
  stage: build
  only:
    - develop
  script:
    - 'mvn compile'
  cache:
    paths:
      - ./target
      - ./.m2

test:
  stage: test
  only:
    - develop
  script:
    - 'mvn test'
  cache:
    policy: pull
    paths:
      - ./target
      - ./.m2